classification
Title: Add IEEE Float support to wave.py
Type: Stage:
Components: Extension Modules Versions: Python 2.3
process
Status: closed Resolution: rejected
Dependencies: Superseder: wave file module does not support 32bit float format
View: 16525
Assigned To: Nosy List: akuchling, bemasc, bensatmit_edu, loewis, mcherm
Priority: normal Keywords: patch

Created on 2005-02-19 20:02 by bensatmit_edu, last changed 2012-11-22 01:09 by jcea. This issue is now closed.

Files
File name Uploaded Description Edit
wave.patch bensatmit_edu, 2005-02-19 20:02 a patch for wave.py
Messages (5)
msg47812 - (view) Author: Ben Schwartz (bensatmit_edu) Date: 2005-02-19 20:02
IEEE Float .wav files have almost identical structure
to standard PCM .wav files.  Currently, wave.py gives
an unknown format error when attempting to read IEEE
Float .wav files. This patch causes wave.py to read
those files properly.

No changes were made to wave_write, only wave_read.
msg47813 - (view) Author: Michael Chermside (mcherm) Date: 2005-02-23 13:11
Logged In: YES 
user_id=99874

I don't know anything about the .wav format, but the patch
is particularly inoffensive... it simply allows a second
format constant in the WAVE header without raising an error.
I recomend applying the patch as soon as someone else who
DOES know the .wav format can confirm that it's being done
right.
msg47814 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2005-11-22 18:54
Logged In: YES 
user_id=11375

Looking at the WAV format description at
http://ccrma.stanford.edu/CCRMA/Courses/422/projects/WaveFormat
, it looks like the patch isn't correct. There's an
ExtraParams field after the header that's only present if
the format is not PCM.  If this is correct, the patch should
also add code to read this field and either store it
somewhere or just discard it.
 
msg47815 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-02-14 10:17
Since there was no follow-up to Andrew's remark that the patch is incorrect, I conclude that the submitter either lost interest in it, or agrees that the patch is indeed incorrect. Rejecting it as invalid.
msg137020 - (view) Author: Ben Schwartz (bemasc) Date: 2011-05-27 01:57
I am the original author ... just ran into the same exact issue 6 years later, and google turned up this ticket.  This bug is still unfixed, and the patch is still correct.  The patch does not reject any valid WAV files.  Its worst sin is accepting and processing (correctly) some technically invalid files, which I would argue is actually desirable behavior.
History
Date User Action Args
2012-11-22 01:09:29jceasetsuperseder: wave file module does not support 32bit float format
2011-05-27 01:57:24bemascsetnosy: + bemasc
messages: + msg137020
2005-02-19 20:02:45bensatmit_educreate